Add TUTORIALs to online manual

02 Aug 2016 10:53 - John Abbott

Status: In Progress Start date: 02 Aug 2016

Priority: Urgent Due date:  

Assignee:  % Done: 80%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 6.60 hours

Description

Add pages to built-in online manual to cover basics for (re)learning CoCoA-5.

History

#1 - 22 Aug 2016 16:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Here is a proposal for how we could organize tutorials as manual pages in CoCoA-5.

Tutorial    Content

0         "ciao" command, and semicolons

1         using on-line manual

2         INTs, RATs, polys, assignment (to variables)

3         LISTs, maybe also print and indent?

4         Rings and "use" command

5         Ideals (modules?), Gbasis

6         MATs

7         define and return

8         if..then

9         Loops: for, foreach, while; continue, break.

10         Homomorphisms

11         Emacs UI (maybe?)

The order above is not completely arbitrary, but may be not "perfect".  Anyway, I would expect the tutorial pages to have links among themselves.  I

gave numbers to distinguish them; I'm not sure whether it is a good idea to use the numbers in practice.

#2 - 22 Aug 2016 16:06 - John Abbott

As a "proof of concept" I have written and checked in two tutorial pages: 0 (ciao) and 1 (manual).

I'll see what Anna thinks of this before going further -- it is harder than I expected to write the tutorial pages. :-(

#3 - 19 Jan 2017 12:51 - John Abbott

Now that I have a CoCoA minicourse planned for late February, it is a good time to reactivate this task.. but how to find the time to dedicate to it?

#4 - 27 Jan 2017 07:53 - Anna Maria Bigatti
John Abbott wrote:

Here is a proposal for how we could organize tutorials as manual pages in CoCoA-5.

Tutorial    Content

 

yes! beautiful!

#5 - 27 Jan 2017 15:46 - John Abbott

Anna would you be willing to help me propel this issue forwards over the next month.

The minicourse will be on 27+28 Feb.  I'm hoping we will have a new release by then

(certainly a new internal release).

#6 - 21 Feb 2017 14:22 - John Abbott

- Priority changed from Normal to Urgent

There is less than a week to go to the mini-course.   It would be nice to make some progress with the tutorials.

#7 - 22 Feb 2017 16:16 - John Abbott

I have added some hasty tutorials... no doubt it is clear that they have been hastily written.

#8 - 07 Aug 2018 17:56 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 10 to 20

I have added some more tutorials (since there are two imminent summer schools).

The original list in comment 1 will have to be revised/renumbered).

#9 - 01 Oct 2019 14:33 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

I have added two tutorials: one about giving feedback and reporting bugs, the other about some basic emacs commands.

We still need several more.  Perhaps the course here in Passau will give me some useful ideas/suggestions.

#10 - 12 Oct 2021 09:27 - John Abbott

- % Done changed from 20 to 60

The situation has improved.  Maybe I will get good feedback from the course here in Kassel (2021-10-12).

#11 - 03 Feb 2022 19:58 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

- % Done changed from 60 to 70
#12 - 17 Oct 2022 14:02 - John Abbott

- % Done changed from 70 to 80

I have some new students learning CoCoA-5.

I shall ask them for constructive feedback about improving the tutorials in the manual.

Note that the current situation is not so bad:

/**/ ?tutorial

OnlineHelp: unsorted entries: operators, shortcuts -- abs

--====<  No exact match for "tutorial"  >====--

--> All 14 matches for "tutorial":

 ? Basic Tutorial for CoCoA-5

 ? Tutorial: manual

 ? Tutorial: Emacs UI (basic)

 ? Tutorial: variables, assignment

 ? Tutorial: arithmetic operators

 ? Tutorial: printing

 ? Tutorial: lists

 ? Tutorial: polynomial rings, use command

 ? Tutorial: polynomials

 ? Tutorial: defining new functions

 ? Tutorial: defining new functions (advanced)

 ? Tutorial: homomorphisms

 ? Tutorial: programming and debugging

 ? Tutorial: feedback and reporting bugs
